slepc-3.21.1 2024-04-26
Report Typos and Errors

# DSSetState

Change the state of the DS object.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSSetState(DS ds,DSStateType state)

Logically Collective

### Input Parameters

| ds | - the direct solver context
| state | - the new state

### Notes

The state indicates that the dense system is in an initial state (raw), in an intermediate state (such as tridiagonal, Hessenberg or Hessenberg-triangular), in a condensed state (such as diagonal, Schur or generalized Schur), or in a truncated state.

This function is normally used to return to the raw state when the condensed structure is destroyed.

### See Also

DSGetState()

### Level

advanced

### Location

src/sys/classes/ds/interface/dsops.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages